Runtime

## org.eclipse.gmf.runtime.notation
Interface BooleanValueStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  BooleanValueStyleImpl

    public interface BooleanValueStyle

extends NamedStyle

A representation of the model object 'Boolean Value Style'.

The following features are supported:

- `Boolean Value`

See Also:
  `NotationPackage.getBooleanValueStyle()`
** Generated **
Model:

Method Summary
`boolean` `isBooleanValue()` Returns the value of the 'Boolean Value' attribute
`void` `setBooleanValue(boolean value)` Sets the value of the '`Boolean Value`' attribute

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isBooleanValue

    boolean isBooleanValue()

  Returns the value of the 'Boolean Value' attribute.

  If the meaning of the 'Boolean Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Boolean Value' attribute.
  See Also:
    `setBooleanValue(boolean)`, `NotationPackage.getBooleanValueStyle_BooleanValue()`
  ** Generated **
  Model:

### setBooleanValue

    void setBooleanValue(boolean value)

  Sets the value of the '`Boolean Value`' attribute.

  Parameters:
    `value` - the new value of the 'Boolean Value' attribute.
  See Also:
    `isBooleanValue()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.